Bug 202196 - CVE-2006-4019 Squirrelmail authenticated user variable overwriting
CVE-2006-4019 Squirrelmail authenticated user variable overwriting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
source=squirrelmail,reported=20060811...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 10:40 EDT by Josh Bressers
Modified: 2008-03-09 01:00 EST (History)
1 user (show)

See Also:
Fixed In Version: squirrelmail-1.4.8-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 01:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-11 10:40:11 EDT
Squirrelmail authenticated user variable overwriting

A bug was fixed in squirrelmail 1.4.8 which could allow a logged in
user to overwrite random variables in compose.php with arbitrary data.
This may allow a user to read or write another users preferences or
mail attachments.

More information can be found here:
http://www.squirrelmail.org/security/issue/2006-08-11
Comment 1 Fedora Update System 2006-08-15 12:40:16 EDT
squirrelmail-1.4.8-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.